//go:build !wasm
// +build !wasm

package main

import (
	"log"

	"github.com/hajimehoshi/ebiten/v2"
)

func (g *Game) notifyPresentationStarted_Platform(roomID string) {}
func (g *Game) updatePresentationState_Platform()               {}

func main() {
	ebiten.SetWindowSize(ScreenWidth, ScreenHeight)
	ebiten.SetWindowTitle("Escape From Teacher")
	ebiten.SetTPS(60)
	ebiten.SetVsyncEnabled(true)
	if err := ebiten.RunGame(NewGame()); err != nil {
		log.Fatal(err)
	}
}
